#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <string.h>

#include <raylib.h>

char *text = "こんにちわ、 世界！";

int main(int argc, char** argv) {
    InitWindow(800, 450, "Hanafuda Hachi-Hachi");
    SetTargetFPS(60);

    int codepoints_count;
    int *codepoints = LoadCodepoints(text, &codepoints_count);
    Font font = LoadFontEx("font/DotGothic16/DotGothic16-Regular.ttf", 48, codepoints, codepoints_count);

    while (!WindowShouldClose()) {
      BeginDrawing();
      ClearBackground(BLACK);
      DrawTextEx(
		 font,
		 text,
		 (Vector2) { 200, 200 },
		 48,
		 5.,
		 RAYWHITE
		 );
      EndDrawing();
    }
      
    CloseWindow();

    return 0;
}
